clear all;
format long;

%Dane pomiarowe
x=[1 2 3 4 5 6 7 8 9 10];
y=[0.5 5 4.1 8.2 5.9 8.1 12.4 12 12.7 16.3];

%Wyznaczenie niepewnoci pomiarw
dx=(((0.01).*x)./100+0.2);
%dx(2)=0.01;
%dy=(((0.05).*y)./100+0.05);
dy=sqrt(y); dy(1)=1;
dy(2)=0.9;  %Jest prosta
%dy(2)=0.5; %Nie ma prostej 

%Aproksymacja liniowa
P=polyfit(x,y,1);
Pmin=polyfit(x,y-dy,1);
Pmax=polyfit(x,y+dy,1);

%Wykres prostej aproksymacyjnej
figure;
xl=1:0.1:length(x);
yl=P(1)*xl+P(2);
plot(xl,yl,'g');
hold on;
ylmin=Pmin(1)*xl+Pmin(2);
ylmax=Pmax(1)*xl+Pmax(2);
plot(xl,ylmin,'r');
plot(xl,ylmax,'k');
grid;

%dU=K*dP,     P=(1/K)*U
%K=dU/dP

K1=Pmin(1);
K2=Pmax(1);
K=P(1);

errorbar(x,y,dy,'o');

fprintf('     Wspczynnik K ley w przedziale: \n%5.3f do %5.3f\n',K1,K2);
fprintf('     Warto wspczynnika wynosi: \n%5.3f\n',K);
fprintf('     Cisnienie wyznaczamy z zalenioci: \nP=(1/K)*U\n');


